import React from 'react';
import { Options } from '@popperjs/core/lib/popper-lite';
declare const useAutoPositioner: (options?: Partial<Options>) => {
    setReferenceElement: (instance: HTMLElement | null) => void;
    setPopperElement: (instance: HTMLElement | null) => void;
    styles: {
        [key: string]: React.CSSProperties;
    };
    attributes: {
        [key: string]: {
            [key: string]: string;
        } | undefined;
    };
};
export default useAutoPositioner;
